/**
 *  InternalCAInput.java
 *  Description : Simple Console Input
 */

package dhkim.ca;

public class InternalCAInput
{
  public static char readChar()
  {
    int charAsInt = -1;
    try
    {
      charAsInt = System.in.read();
    }
    catch( Exception e )
    {
      System.out.println( e.getMessage() );
      System.out.println( "Fatal error. Ending Program." );
      System.exit( 0 );
    }
    return ( char )charAsInt;
  }

  public static String readLine()
  {
    char nextChar;
    String result = "";
    boolean done = false;

    while ( !done )
    {
      nextChar = readChar();
      if (nextChar == '\n')
        done = true;
      else if ( nextChar == '\r' )
      {
        /**
         *  Do nothing.
         *  Next loop iteration will detect '\n'
         */
      }
      else
        result = result + nextChar;
    }

    return result;
  }
}
